Package ru.bitel.bgbilling.modules.bill.common.bean

# Class SortMode

java.lang.Object
ru.bitel.bgbilling.modules.bill.common.bean.SortMode

    public class SortMode
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `SORT_MODE_CITY_QUARTER` |
  `static int` | `SORT_MODE_CONTRACT` |
  `static int` | `SORT_MODE_CONTRACT_WITH_SUB` |
  `static int` | `SORT_MODE_ID` |
  `static int` | `SORT_MODE_ID_REVERT` |
  `static int` | `SORT_MODE_INDEX` |
  `static int` | `SORT_MODE_NAME` |
  `static int` | `SORT_MODE_NUMBER` |
  `static int` | `SORT_MODE_NUMBER_REVERT` |
  `static int` | `SORT_MODE_PACKAGE` |
  `static int` | `SORT_MODE_PATTERN` |
  `static int` | `SORT_MODE_STREET_HOUSE_ETC` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SortMode()` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SORT_MODE_CONTRACT

    public static final int SORT_MODE_CONTRACT
    See Also:
      Constant Field Values

  - ### SORT_MODE_STREET_HOUSE_ETC

    public static final int SORT_MODE_STREET_HOUSE_ETC
    See Also:
      Constant Field Values

  - ### SORT_MODE_INDEX

    public static final int SORT_MODE_INDEX
    See Also:
      Constant Field Values

  - ### SORT_MODE_NUMBER

    public static final int SORT_MODE_NUMBER
    See Also:
      Constant Field Values

  - ### SORT_MODE_NUMBER_REVERT

    public static final int SORT_MODE_NUMBER_REVERT
    See Also:
      Constant Field Values

  - ### SORT_MODE_ID

    public static final int SORT_MODE_ID
    See Also:
      Constant Field Values

  - ### SORT_MODE_ID_REVERT

    public static final int SORT_MODE_ID_REVERT
    See Also:
      Constant Field Values

  - ### SORT_MODE_CITY_QUARTER

    public static final int SORT_MODE_CITY_QUARTER
    See Also:
      Constant Field Values

  - ### SORT_MODE_NAME

    public static final int SORT_MODE_NAME
    See Also:
      Constant Field Values

  - ### SORT_MODE_CONTRACT_WITH_SUB

    public static final int SORT_MODE_CONTRACT_WITH_SUB
    See Also:
      Constant Field Values

  - ### SORT_MODE_PATTERN

    public static final int SORT_MODE_PATTERN
    See Also:
      Constant Field Values

  - ### SORT_MODE_PACKAGE

    public static final int SORT_MODE_PACKAGE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### SortMode

    public SortMode()